<!DOCTYPE html>
<html>
<head>
<meta charset="UTF-8">
<title>documentation/info_segments/al39.errata.info</title>
<meta name="Generator" content="Vim/9.1">
<meta name="plugin-version" content="vim9.0_v2">
<meta name="syntax" content="none">
<meta name="settings" content="number_lines,use_css,no_foldcolumn,expand_tabs,line_ids,pre_wrap,prevent_copy=,use_input_for_pc=none">
<meta name="colorscheme" content="PaperColor">
<style>
<!--
pre { white-space: pre-wrap; font-family: monospace; color: #d0d0d0; background-color: #000000; }
body { font-family: monospace; color: #d0d0d0; background-color: #000000; }
* { font-size: 1em; }
.textRainbow_lv1_p0 { color: #ffffe0; }
.textRainbow_lv0_o0 { color: #add8e6; }
.textRainbow_lv0_p0 { color: #add8e6; }
.LineNr { color: #585858; }
-->
</style>

<script>
<!--

/* function to open any folds containing a jumped-to line before jumping to it */
function JumpToLine()
{
  var lineNum;
  lineNum = window.location.hash;
  lineNum = lineNum.substr(1); /* strip off '#' */

  if (lineNum.indexOf('L') == -1) {
    lineNum = 'L'+lineNum;
  }
  var lineElem = document.getElementById(lineNum);
  /* Always jump to new location even if the line was hidden inside a fold, or
   * we corrected the raw number to a line ID.
   */
  if (lineElem) {
    lineElem.scrollIntoView(true);
  }
  return true;
}
if ('onhashchange' in window) {
  window.onhashchange = JumpToLine;
}

-->
</script>
</head>
<body onload='JumpToLine();'>
<pre id='vimCodeElement'>
<span id="L1" class="LineNr">  1 </span>:Info:  al39.errata:  errata.al39: Processor_Manual:
<span id="L2" class="LineNr">  2 </span>2021-10-29  AL39 <span class="textRainbow_lv0_p0">(</span>Multics Processor Manual<span class="textRainbow_lv0_p0">)</span>
<span id="L3" class="LineNr">  3 </span>
<span id="L4" class="LineNr">  4 </span>          Errata Information for MR12.8
<span id="L5" class="LineNr">  5 </span>
<span id="L6" class="LineNr">  6 </span>
<span id="L7" class="LineNr">  7 </span>pg 3-14:  for the register &quot;PPR.P&quot;, change the last part of the   |
<span id="L8" class="LineNr">  8 </span>     last sentence to read                                        |
<span id="L9" class="LineNr">  9 </span>                                                                  |
<span id="L10" class="LineNr"> 10 </span>         ...otherwise, its value is 0.                            |
<span id="L11" class="LineNr"> 11 </span>
<span id="L12" class="LineNr"> 12 </span>
<span id="L13" class="LineNr"> 13 </span>pg 4-147: at end:
<span id="L14" class="LineNr"> 14 </span>  ADD:
<span id="L15" class="LineNr"> 15 </span>
<span id="L16" class="LineNr"> 16 </span>Coding Format:
<span id="L17" class="LineNr"> 17 </span>
<span id="L18" class="LineNr"> 18 </span>RPD N, I, k1, k2, ... , k7. <span class="textRainbow_lv0_p0">(</span>A=B=C=1.<span class="textRainbow_lv0_p0">)</span>
<span id="L19" class="LineNr"> 19 </span>
<span id="L20" class="LineNr"> 20 </span>The command generated by the assembler from this format will cause the
<span id="L21" class="LineNr"> 21 </span>two instructions immediately following the RPD instruction to be
<span id="L22" class="LineNr"> 22 </span>iterated N times and the effective addresses of those two instructions
<span id="L23" class="LineNr"> 23 </span>to be incremented by the value I for each of N iterations.
<span id="L24" class="LineNr"> 24 </span>
<span id="L25" class="LineNr"> 25 </span>The meaning of k1, k2, ..., k7 is the same as for the RPT instruction.
<span id="L26" class="LineNr"> 26 </span><span class="textRainbow_lv0_p0">(</span>See item below<span class="textRainbow_lv0_p0">)</span>. Since the repeat double must fall in an odd location,
<span id="L27" class="LineNr"> 27 </span>precede this instruction with the odd pseudo-op.
<span id="L28" class="LineNr"> 28 </span>
<span id="L29" class="LineNr"> 29 </span>
<span id="L30" class="LineNr"> 30 </span> RPDX N, I <span class="textRainbow_lv0_p0">(</span>A=B=C=0.}
<span id="L31" class="LineNr"> 31 </span>
<span id="L32" class="LineNr"> 32 </span>This instruction operates just as the RPD instruction with the
<span id="L33" class="LineNr"> 33 </span>exception that A<span class="textRainbow_lv0_o0">,</span> B<span class="textRainbow_lv0_o0">,</span> N and the conditions for termination are loaded
<span id="L34" class="LineNr"> 34 </span>by the user into index register X0 as an octal value.
<span id="L35" class="LineNr"> 35 </span>
<span id="L36" class="LineNr"> 36 </span> RPDA N<span class="textRainbow_lv0_o0">,</span> I<span class="textRainbow_lv0_o0">,</span> k1<span class="textRainbow_lv0_o0">,</span> k2<span class="textRainbow_lv0_o0">,</span>...<span class="textRainbow_lv0_o0">,</span> k7. <span class="textRainbow_lv1_p0">(</span>A=C=1. B=0.<span class="textRainbow_lv1_p0">)</span>
<span id="L37" class="LineNr"> 37 </span>
<span id="L38" class="LineNr"> 38 </span>This instruction operates just as the RPD instruction with the
<span id="L39" class="LineNr"> 39 </span>exception that only the effective address of the first instruction
<span id="L40" class="LineNr"> 40 </span>following the RPDA instruction will be incremented by the value of I
<span id="L41" class="LineNr"> 41 </span>for each of N iterations.
<span id="L42" class="LineNr"> 42 </span>
<span id="L43" class="LineNr"> 43 </span>
<span id="L44" class="LineNr"> 44 </span> RPDB N<span class="textRainbow_lv0_o0">,</span> I<span class="textRainbow_lv0_o0">,</span> k1<span class="textRainbow_lv0_o0">,</span> k2<span class="textRainbow_lv0_o0">,</span>...<span class="textRainbow_lv0_o0">,</span> k7. <span class="textRainbow_lv1_p0">(</span>A=0. B=C=1.<span class="textRainbow_lv1_p0">)</span>
<span id="L45" class="LineNr"> 45 </span>
<span id="L46" class="LineNr"> 46 </span>This instruction operates just as the RPD instruction with the
<span id="L47" class="LineNr"> 47 </span>exception that only the effective address of the second instruction
<span id="L48" class="LineNr"> 48 </span>following the RPDB instruction will be incremented by the value I
<span id="L49" class="LineNr"> 49 </span>for each of N iterations.
<span id="L50" class="LineNr"> 50 </span>
<span id="L51" class="LineNr"> 51 </span>
<span id="L52" class="LineNr"> 52 </span>The following discussion of RPT also applies to RPD and RPL
<span id="L53" class="LineNr"> 53 </span>instructions. It explains how the k1<span class="textRainbow_lv0_o0">,</span> k2<span class="textRainbow_lv0_o0">,</span> ...<span class="textRainbow_lv0_o0">,</span> k7 bits of the Term
<span id="L54" class="LineNr"> 54 </span>Cond. field can be specified in those instructions.
<span id="L55" class="LineNr"> 55 </span>
<span id="L56" class="LineNr"> 56 </span> RPT N<span class="textRainbow_lv0_o0">,</span> I<span class="textRainbow_lv0_o0">,</span> k1<span class="textRainbow_lv0_o0">,</span> k2<span class="textRainbow_lv0_o0">,</span>...<span class="textRainbow_lv0_o0">,</span> k7. <span class="textRainbow_lv1_p0">(</span>Bit C=1.<span class="textRainbow_lv1_p0">)</span>
<span id="L57" class="LineNr"> 57 </span>
<span id="L58" class="LineNr"> 58 </span>The command generated by the assembler from this format will cause the
<span id="L59" class="LineNr"> 59 </span>instruction immediately following the RPT instruction to be iterated N
<span id="L60" class="LineNr"> 60 </span>times and that instruction's effective address to be incremented by the
<span id="L61" class="LineNr"> 61 </span>value I for each of N iterations. The range for N is 0-255. If N = 0<span class="textRainbow_lv0_o0">,</span>
<span id="L62" class="LineNr"> 62 </span>the instruction will be iterated 256 times. If N is greater than 256<span class="textRainbow_lv0_o0">,</span>
<span id="L63" class="LineNr"> 63 </span>the instruction will cause an error flag <span class="textRainbow_lv1_p0">(</span>A<span class="textRainbow_lv1_p0">)</span> to be printed on the
<span id="L64" class="LineNr"> 64 </span>assembly listing.
<span id="L65" class="LineNr"> 65 </span>
<span id="L66" class="LineNr"> 66 </span>
<span id="L67" class="LineNr"> 67 </span>The fields k1<span class="textRainbow_lv0_o0">,</span> k2<span class="textRainbow_lv0_o0">,</span> ... k7 may or may not be present. They represent
<span id="L68" class="LineNr"> 68 </span>conditions for termination which<span class="textRainbow_lv0_o0">,</span> when needed<span class="textRainbow_lv0_o0">,</span> are declared by the
<span id="L69" class="LineNr"> 69 </span>conditional transfer instructions TMI<span class="textRainbow_lv0_o0">,</span> TNC<span class="textRainbow_lv0_o0">,</span> TNZ<span class="textRainbow_lv0_o0">,</span> TOV<span class="textRainbow_lv0_o0">,</span> TPL<span class="textRainbow_lv0_o0">,</span> TRC<span class="textRainbow_lv0_o0">,</span> and
<span id="L70" class="LineNr"> 70 </span>TZE. These instructions affect the termination condition bits in
<span id="L71" class="LineNr"> 71 </span>positions 11-17 of the Repeat instruction.
<span id="L72" class="LineNr"> 72 </span>
<span id="L73" class="LineNr"> 73 </span>It is also possible to use an octal number rather than the transfer
<span id="L74" class="LineNr"> 74 </span>instructions to denote termination conditions. Thus<span class="textRainbow_lv0_o0">,</span> if the field for
<span id="L75" class="LineNr"> 75 </span>k1<span class="textRainbow_lv0_o0">,</span> k2<span class="textRainbow_lv0_o0">,</span>...<span class="textRainbow_lv0_o0">,</span> k7 is found to be numeric<span class="textRainbow_lv0_o0">,</span> it will be interpreted as octal
<span id="L76" class="LineNr"> 76 </span>and the low-order 7 bits will be ORed into bit positions 11-17 of the
<span id="L77" class="LineNr"> 77 </span>Repeat instruction. The variable-field scan will be terminated with the
<span id="L78" class="LineNr"> 78 </span>octal field.
<span id="L79" class="LineNr"> 79 </span>
<span id="L80" class="LineNr"> 80 </span>
<span id="L81" class="LineNr"> 81 </span>pg 4-150: at end of RPL section<span class="textRainbow_lv0_o0">,</span> before RPT:
<span id="L82" class="LineNr"> 82 </span>
<span id="L83" class="LineNr"> 83 </span>  ADD:
<span id="L84" class="LineNr"> 84 </span>
<span id="L85" class="LineNr"> 85 </span>Coding Format:
<span id="L86" class="LineNr"> 86 </span>
<span id="L87" class="LineNr"> 87 </span> RPL N<span class="textRainbow_lv0_o0">,</span> k1<span class="textRainbow_lv0_o0">,</span> k2<span class="textRainbow_lv0_o0">,</span> ... k7. <span class="textRainbow_lv1_p0">(</span>C = 1.<span class="textRainbow_lv1_p0">)</span>
<span id="L88" class="LineNr"> 88 </span>
<span id="L89" class="LineNr"> 89 </span>This format causes the instruction immediately following the RPL
<span id="L90" class="LineNr"> 90 </span>instruction to be repeated N times or until one of the conditions
<span id="L91" class="LineNr"> 91 </span>specified in k1<span class="textRainbow_lv0_o0">,</span> ...<span class="textRainbow_lv0_o0">,</span> k7 is satisfied<span class="textRainbow_lv0_o0">,</span> or until the link address of
<span id="L92" class="LineNr"> 92 </span>zero is detected. The range of N is 0-255. If N = 0<span class="textRainbow_lv0_o0">,</span> the instruction
<span id="L93" class="LineNr"> 93 </span>will be iterated 256 times. If N is greater than 255<span class="textRainbow_lv0_o0">,</span> the instruction
<span id="L94" class="LineNr"> 94 </span>will cause an error flags <span class="textRainbow_lv1_p0">(</span>A<span class="textRainbow_lv1_p0">)</span> to be printed on the assembly listing.
<span id="L95" class="LineNr"> 95 </span>
<span id="L96" class="LineNr"> 96 </span>
<span id="L97" class="LineNr"> 97 </span>The fields k1<span class="textRainbow_lv0_o0">,</span> k2<span class="textRainbow_lv0_o0">,</span> ...<span class="textRainbow_lv0_o0">,</span> k7 may or may not be present. They represent
<span id="L98" class="LineNr"> 98 </span>conditions for termination which<span class="textRainbow_lv0_o0">,</span> when needed<span class="textRainbow_lv0_o0">,</span> are declared by the
<span id="L99" class="LineNr"> 99 </span>conditional transfer instructions TMI<span class="textRainbow_lv0_o0">,</span> TNC<span class="textRainbow_lv0_o0">,</span> TNZ<span class="textRainbow_lv0_o0">,</span> TOV<span class="textRainbow_lv0_o0">,</span> TPL<span class="textRainbow_lv0_o0">,</span> TRC<span class="textRainbow_lv0_o0">,</span> and
<span id="L100" class="LineNr">100 </span>TZE. These instructions affect the termination condition bits in
<span id="L101" class="LineNr">101 </span>position 11-17 of the Repeat instruction.
<span id="L102" class="LineNr">102 </span>
<span id="L103" class="LineNr">103 </span>It is also possible to use an octal number rather than the transfer
<span id="L104" class="LineNr">104 </span>instructions to denote termination conditions. Thus<span class="textRainbow_lv0_o0">,</span> if the field for
<span id="L105" class="LineNr">105 </span>k1<span class="textRainbow_lv0_o0">,</span> k2<span class="textRainbow_lv0_o0">,</span>...<span class="textRainbow_lv0_o0">,</span> k7 is found to be numeric<span class="textRainbow_lv0_o0">,</span> it will be interpreted as octal
<span id="L106" class="LineNr">106 </span>and the low-order 7 bits will be ORed into bit positions 11-17 of the
<span id="L107" class="LineNr">107 </span>Repeat instruction. The variable-field scan will be terminated with the
<span id="L108" class="LineNr">108 </span>octal field.
<span id="L109" class="LineNr">109 </span>
<span id="L110" class="LineNr">110 </span>
<span id="L111" class="LineNr">111 </span> RPLX <span class="textRainbow_lv1_p0">(</span>C = 0<span class="textRainbow_lv1_p0">)</span>.
<span id="L112" class="LineNr">112 </span>
<span id="L113" class="LineNr">113 </span>This instruction operates just as the RPL instruction except that N
<span id="L114" class="LineNr">114 </span>and the conditions for termination are loaded by the user into index
<span id="L115" class="LineNr">115 </span>register zero.
<span id="L116" class="LineNr">116 </span>
<span id="L117" class="LineNr">117 </span>
<span id="L118" class="LineNr">118 </span>pg 4-152: at end of RPT section:
<span id="L119" class="LineNr">119 </span>
<span id="L120" class="LineNr">120 </span>  ADD:
<span id="L121" class="LineNr">121 </span>
<span id="L122" class="LineNr">122 </span>Coding Format:
<span id="L123" class="LineNr">123 </span>
<span id="L124" class="LineNr">124 </span> RPT N<span class="textRainbow_lv0_o0">,</span> I<span class="textRainbow_lv0_o0">,</span> ki<span class="textRainbow_lv0_o0">,</span> k2<span class="textRainbow_lv0_o0">,</span> ...<span class="textRainbow_lv0_o0">,</span> k7. <span class="textRainbow_lv1_p0">(</span>Bit C=1.<span class="textRainbow_lv1_p0">)</span>
<span id="L125" class="LineNr">125 </span>
<span id="L126" class="LineNr">126 </span>The command generated by the assembler from this format will cause the
<span id="L127" class="LineNr">127 </span>instruction immediately following the RPT instruction to be iterated N
<span id="L128" class="LineNr">128 </span>times and that instruction's effective address to be incremented by the
<span id="L129" class="LineNr">129 </span>value I for each of N iterations. The range for N is 0-255. If N = 0<span class="textRainbow_lv0_o0">,</span>
<span id="L130" class="LineNr">130 </span>the instruction will be iterated 256 times. If N is greater than 256<span class="textRainbow_lv0_o0">,</span>
<span id="L131" class="LineNr">131 </span>the instruction will cause an error flag <span class="textRainbow_lv1_p0">(</span>A<span class="textRainbow_lv1_p0">)</span> to be printed on the
<span id="L132" class="LineNr">132 </span>assembly listing.
<span id="L133" class="LineNr">133 </span>
<span id="L134" class="LineNr">134 </span>
<span id="L135" class="LineNr">135 </span>The fields k1<span class="textRainbow_lv0_o0">,</span> k2<span class="textRainbow_lv0_o0">,</span> ... k7 may or may not be present. They represent
<span id="L136" class="LineNr">136 </span>conditions for termination which<span class="textRainbow_lv0_o0">,</span> when needed<span class="textRainbow_lv0_o0">,</span> are declared by the
<span id="L137" class="LineNr">137 </span>conditional transfer instructions TMI<span class="textRainbow_lv0_o0">,</span> TNC<span class="textRainbow_lv0_o0">,</span> TNZ<span class="textRainbow_lv0_o0">,</span> TOV<span class="textRainbow_lv0_o0">,</span> TPL<span class="textRainbow_lv0_o0">,</span> TRC<span class="textRainbow_lv0_o0">,</span> and
<span id="L138" class="LineNr">138 </span>TZE. These instructions affect the termination condition bits in
<span id="L139" class="LineNr">139 </span>positions 11-17 of the Repeat instruction.
<span id="L140" class="LineNr">140 </span>
<span id="L141" class="LineNr">141 </span>It is also possible to use an octal number rather than the transfer
<span id="L142" class="LineNr">142 </span>instructions to denote termination conditions. Thus<span class="textRainbow_lv0_o0">,</span> if the field for
<span id="L143" class="LineNr">143 </span>k1<span class="textRainbow_lv0_o0">,</span> k2<span class="textRainbow_lv0_o0">,</span>...<span class="textRainbow_lv0_o0">,</span> k7 is found to be numeric<span class="textRainbow_lv0_o0">,</span> it will be interpreted as octal
<span id="L144" class="LineNr">144 </span>and the low-order 7 bits will be ORed into bit positions 11-17 of the
<span id="L145" class="LineNr">145 </span>Repeat instruction. The variable-field scan will be terminated with the
<span id="L146" class="LineNr">146 </span>octal field.
<span id="L147" class="LineNr">147 </span>
<span id="L148" class="LineNr">148 </span>
<span id="L149" class="LineNr">149 </span> RPTX N<span class="textRainbow_lv0_o0">,</span> I <span class="textRainbow_lv1_p0">(</span>Bit C=0<span class="textRainbow_lv1_p0">)</span>.
<span id="L150" class="LineNr">150 </span>
<span id="L151" class="LineNr">151 </span>This instruction operates just as the RPT instruction with the
<span id="L152" class="LineNr">152 </span>exception that N and the conditions for termination are loaded by the
<span id="L153" class="LineNr">153 </span>user into bit positions 0-7 and 11-17<span class="textRainbow_lv0_o0">,</span> respectively<span class="textRainbow_lv0_o0">,</span> of index register
<span id="L154" class="LineNr">154 </span>zero <span class="textRainbow_lv1_p0">(</span>instead of being embedded in the instruction<span class="textRainbow_lv1_p0">)</span>.
<span id="L155" class="LineNr">155 </span>
<span id="L156" class="LineNr">156 </span>
<span id="L157" class="LineNr">157 </span>pg 8-8:  for Figure 8-1<span class="textRainbow_lv0_o0">,</span> correct the typos in the decision block. |
<span id="L158" class="LineNr">158 </span>                                                                  |
<span id="L159" class="LineNr">159 </span>     At the bottom middle of the page<span class="textRainbow_lv0_o0">,</span> replace                    |
<span id="L160" class="LineNr">160 </span>                                                                  |
<span id="L161" class="LineNr">161 </span>         C<span class="textRainbow_lv1_p0">(</span>TPR.TRR<span class="textRainbow_lv1_p0">)</span>-&gt;SDW.R2?                                      |
<span id="L162" class="LineNr">162 </span>     with                                                         |
<span id="L163" class="LineNr">163 </span>         C<span class="textRainbow_lv1_p0">(</span>TPR.TRR<span class="textRainbow_lv1_p0">)</span>&gt;SDW.R2?                                       |
<span id="L164" class="LineNr">164 </span>                                                                  |
<span id="L165" class="LineNr">165 </span>     and in the middle of the page<span class="textRainbow_lv0_o0">,</span> replace                       |
<span id="L166" class="LineNr">166 </span>                                                                  |
<span id="L167" class="LineNr">167 </span>         C<span class="textRainbow_lv1_p0">(</span>TPR.TRR<span class="textRainbow_lv1_p0">)</span>&gt;C<span class="textRainbow_lv1_p0">(</span>PPR.PPR<span class="textRainbow_lv1_p0">)</span>                                    |
<span id="L168" class="LineNr">168 </span>     with                                                         |
<span id="L169" class="LineNr">169 </span>         C<span class="textRainbow_lv1_p0">(</span>TPR.TRR<span class="textRainbow_lv1_p0">)</span>&gt;C<span class="textRainbow_lv1_p0">(</span>PPR.PRR<span class="textRainbow_lv1_p0">)</span>                                    |
<span id="L170" class="LineNr">170 </span>
<span id="L171" class="LineNr">171 </span>
<span id="L172" class="LineNr">172 </span>:hcom:
<span id="L173" class="LineNr">173 </span>
<span id="L174" class="LineNr">174 </span>
<span id="L175" class="LineNr">175 </span>/****^  HISTORY COMMENTS:
<span id="L176" class="LineNr">176 </span>  1<span class="textRainbow_lv0_p0">)</span> change<span class="textRainbow_lv0_p0">(</span>2021-11-06<span class="textRainbow_lv0_o0">,</span>Swenson<span class="textRainbow_lv0_p0">)</span>, approve<span class="textRainbow_lv0_p0">(</span>2021-11-06<span class="textRainbow_lv0_o0">,</span>MCR10100<span class="textRainbow_lv0_p0">)</span>,
<span id="L177" class="LineNr">177 </span>     audit<span class="textRainbow_lv0_p0">(</span>2021-11-07<span class="textRainbow_lv0_o0">,</span>GDixon<span class="textRainbow_lv0_p0">)</span>, install<span class="textRainbow_lv0_p0">(</span>2021-11-07<span class="textRainbow_lv0_o0">,</span>MR12.8-1007<span class="textRainbow_lv0_p0">)</span>:
<span id="L178" class="LineNr">178 </span>     Add more info on RPD, RPL, and RPT instructions.
<span id="L179" class="LineNr">179 </span>                                                   END HISTORY COMMENTS */
<span id="L180" class="LineNr">180 </span>
<span id="L181" class="LineNr">181 </span>
</pre>
<script defer src='https://static.cloudflareinsights.com/beacon.min.js' data-cf-beacon='{"token": "4b6a131644014aa29fd88953508c3a3d"}'></script></body>
</html>
<!-- vim: set foldmethod=manual : -->
